* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.input-wrapper {
    width: 150px;
    height: 30px;
    display: flex;
    border-radius: 50%;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
    padding: 10px;
    text-align: center;
}

.input-wrapper * {
    border: none;
    width: 50px;
    flex: 1;
}

.input-wrapper button {
    cursor: pointer;
}

.input-wrapper button:first-child {
    border-radius: 50% 0 0 50%;
    color: red;
}

.input-wrapper button:last-child {
    border-radius: 0 50% 50% 0;
    color: green;
}
